## R-0.62.0.tgz

=== doc/manual/Makefile ===
## The following must be an ABSOLUTE path
## or RELATIVE to 'Ex_Tests' (RHOME/test/Examples/ :

include ../../Makeconf

rRHOME= ../..
#
RETC = $(rRHOME)/etc
RLIB = $(rRHOME)/library
RsrcLIB = $(rRHOME)/src/library
BUILDlatex = $(RETC)/Rdconv --type latex

Packages = pkg-base.tex pkg-eda.tex pkg-mva.tex pkg-stepfun.tex
#- Man.tex  also must have an  \input{..} for each of these ^^^^
Manparts = Man-1.ps Man-2.ps Man-3.ps Man-4.ps\
	   Man-5.ps Man-6.ps Man-7.ps Man-8.ps
Manbooks = $(Manparts:.ps=.bps)


all: Man.dvi

$(RLIB)/base/latex/%.tex: $(RsrcLIB)/base/man/%.Rd
	$(BUILDlatex) $< > $@
%.bps: %.ps
	psbook $< | pstops \
	 -w21cm -h29.7cm  '2:0L@.80(1.09w,-.04h)+1L@.80(1.09w,.46h)' > $@

pkg-base.tex: $(RLIB)/base/latex/*.tex
	@echo 'Collecting components of  $@ ..'
	./lib2tex base
pkg-eda.tex: $(RLIB)/eda/latex/*.tex
	@echo 'Collecting components of  $@ ..'
	./lib2tex eda
pkg-mva.tex: $(RLIB)/mva/latex/*.tex
	@echo 'Collecting components of  $@ ..'
	./lib2tex mva
pkg-stepfun.tex: $(RLIB)/stepfun/latex/*.tex
	@echo 'Collecting components of  $@ ..'
	./lib2tex stepfun

Man.dvi: Man.tex Version.tex Rd.sty $(Packages)
	@echo 'making latex documentation...'
	-latex '\nonstopmode\input{Man.tex}'
	-makeindex Man
	-latex '\nonstopmode\input{Man.tex}'

ABOUT.dvi: ABOUT.tex writing-Rd.tex Rd.sty
	-latex ABOUT
	-latex ABOUT
ABOUT.ps: ABOUT.dvi
	-dvips -f $< -o $@
##-- need \nonstopmode, since we still have some 'alias' problems in Index
Version.tex: $(rRHOME)/bin/R
	$^ --version > $@

Manbooks:: $(Manbooks)

$(Manparts): Man.dvi
	dvips        -l36 -f $< -o Man-1.ps
	dvips  -p37  -l72 -f $< -o Man-2.ps
	dvips  -p73 -l108 -f $< -o Man-3.ps
	dvips -p109 -l144 -f $< -o Man-4.ps
	dvips -p145 -l180 -f $< -o Man-5.ps
	dvips -p181 -l216 -f $< -o Man-6.ps
	dvips -p217 -l252 -f $< -o Man-7.ps
	dvips -p253 -l288 -f $< -o Man-8.ps
	dvips -p289       -f $< -o Man-9.ps

Man.ps:	Man.dvi
	dvips -f $< -o $@

Man-plotmath.ps: Man.dvi
	dvips -f $< -pp5-6 -S 2   -i -o $@
	b=`basename $@ .ps`; rm -f $$b.001; mv $$b.002 $@

Man_2on1.dvi: Man.dvi
	-dvidvi -m "2:0,1(21.1cm,0)" $^ $@
Man.ps-2: Man_2on1.dvi
	-dvips -f $< -x 707 -t landscape -O -0.69cm,-0.70cm -o $@
Man-index.ps-2: Man.ps-2
	P=`perl -ne 'next unless /\bbop\b.*\bIndex\b/; @_=split; printf "%s\n", int(.5+$$_[1]/2)' Man.ps`; psselect -p"$$P"- $^ > $@

##-- double sided printing.. [NOT tested for a while...]
print2:	Man.ps
	mpage -P -2 $< > Man.ps-2
	lpr -s Man.ps-2

clean:
	@echo cleaning in doc/manual
	@-rm -f *.aux *.toc Man.i?? *.dvi *.log *.ps *.ps-2

realclean: clean
	@echo "'realclean'ing in manual/latex"
	@-rm -f -r auto pkg-*.tex

install:
	$(INSTALL) -d $(rhome)/doc/manual
	for f in Makefile *.tex *.sty; \
		do $(INSTALL_DATA) $$f $(rhome)/doc/manual; \
	done

=== src/unix/Makefile ===
include ../../Makeconf

INCLUDES= -I../include

OBJ= \
	dataentry.o \
	devX11.o \
	devPS.o \
	dynload.o \
	edit.o \
	fileio.o \
	PostScript.o \
	rotated.o \
	system.o \
	devPicTeX.o

LIB=		../lib/libunix.a

$(LIB):		$(OBJ)
		$(AR) cr $(LIB) $(OBJ)
		$(RANLIB) $(LIB)

dataentry.o:	dataentry.h dataentry.c ../include/Defn.h
		$(CC) $(CFLAGS) $(X_CFLAGS) $(INCLUDES) -c dataentry.c

fileio.o:	fileio.c ../include/Fileio.h
		$(CC) $(CFLAGS) $(INCLUDES) -c fileio.c

rotated.o:	rotated.c rotated.h
		$(CC) $(CFLAGS) $(X_CFLAGS) $(INCLUDES) -c rotated.c

devX11.o:	devX11.c psx11.h ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) $(X_CFLAGS) $(INCLUDES) -c devX11.c

devPS.o:	devPS.c ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) $(INCLUDES) -c devPS.c

devPicTeX.o:	devPicTeX.c ../include/Graphics.h ../include/Defn.h
		$(CC) $(CFLAGS) $(INCLUDES) -c devPicTeX.c

system.o:	system.c ../include/Defn.h
		$(CC) $(CFLAGS) $(INCLUDES) -c system.c

clean:
		@echo Cleaning in src/unix
		@-rm -f *.o *.a

realclean:	clean

=== src/library/base/Makefile ===
base:
	@echo Building R base package
	@if test ! -d ../../../library/base; then mkdir ../../../library/base; fi
	@if test ! -d ../../../library/base/R; then mkdir ../../../library/base/R; fi
	@if test ! -d ../../../library/base/data; then mkdir ../../../library/base/data; fi
	@cat `ls R/*.R | sed '/system.*/d'` R/system.unix.R | \
	 sed '/^[ 	]*$$/d'  > ../../../library/base/R/base
#		   ^^ = TAB + Space
##-- do NOT delete all '#' lines -- this BREAKS strings containing '#' !!
##-- Could still delete all  '/^[\t ]*#/ lines, but why not leave comments ?
##	@cat $(FUNS) STARTUP |sed  '/^$$/d;/^[ 	]*#/d'  > ../../../library/base
##					      ^^ = TAB + Space
	@cp INDEX TITLE ../../../library/base
	@cp `ls data/[a-z]*` ../../../library/base/data

=== src/library/mva/src/Makefile ===
LIBNAME=mva
LD=ld

OBJS=	dblcen.o \
	dist.o \
	hclust.o

$(LIBNAME).so:	$(OBJS)
	$(LD) $(SHLIBLDFLAGS) -o $@ $(OBJS)

clean:
	@rm -f *.o *.so

realclean: clean

=== debian/changelog ===
r-base (0.62.0-1) unstable; urgency=low

  * new upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 27 May 1998 10:21:44 -0500

r-base (0.61.3-0) unstable; urgency=low

  * new upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Mon,  4 May 1998 12:05:53 -0500

r-base (0.61.2-2) frozen unstable; urgency=low

  * recompiled against xlib6g (bug #21027)

 -- Douglas Bates <bates@stat.wisc.edu>  Mon, 13 Apr 1998 14:05:33 -0500

r-base (0.61.2-1) frozen unstable; urgency=low

  * Added symbolic link for /usr/lib/R/library in /usr/doc/r-base/ (bug#20190)

 -- Douglas Bates <bates@stat.wisc.edu>  Thu, 26 Mar 1998 14:01:57 -0600

r-base (0.61.2-0) unstable; urgency=low

  * New upstream release.

 -- Douglas Bates <bates@stat.wisc.edu>  Mon,  9 Mar 1998 15:22:31 -0600

r-base (0.61.1-5) unstable; urgency=low

  * Removed call to dh_du in build rules.

 -- Douglas Bates <bates@stat.wisc.edu>  Fri,  6 Mar 1998 13:47:54 -0600

r-base (0.61.1-4) unstable; urgency=low

  * Removed unnecessary call to dh_makeshlibs in build rules

 -- Douglas Bates <bates@stat.wisc.edu>  Mon, 16 Feb 1998 13:49:44 -0600

r-base (0.61.1-3) unstable; urgency=low

  * Re-compiled to add readline support.

 -- Douglas Bates <bates@stat.wisc.edu>  Sat, 17 Jan 1998 17:06:52 -0600

r-base (0.61.1-2) unstable; urgency=low

  * Ensured that libraries for the modules are dynamically linked.

 -- Douglas Bates <bates@stat.wisc.edu>  Wed, 14 Jan 1998 08:31:53 -0600

r-base (0.61.1-1) unstable; urgency=low

  * New upstream release

 -- Douglas Bates <bates@stat.wisc.edu>  Mon, 12 Jan 1998 09:30:04 -0600

r-base (0.61.0-3) unstable; urgency=low

  * Went through all the warnings reported by -Wall to produce a patch
    file for the developers.
  * Applied Thomas Lumley's patch for problem with c() applied to ordered.
  * Changed debian/rules to delete the .in files for autoconf from the
    package
  
  * Changed priority to "optional"
  * Modified to use pristine original sources.

 -- Douglas Bates <bates@stat.wisc.edu>  Sun,  4 Jan 1998 14:54:04 -0600

r-base (0.61.0-2) unstable; urgency=low

  * Modified the format of the orig.tar.gz file

 -- Douglas Bates <bates@stat.wisc.edu>  Tue, 23 Dec 1997 12:02:09 -0600

r-base (0.61.0-1) unstable; urgency=low

  * Initial release

 -- Douglas Bates <bates@stat.wisc.edu>  Tue, 23 Dec 1997 10:01:21 -0600

Local variables:
mode: debian-changelog
add-log-mailing-address: "bates@stat.wisc.edu"
End:

=== debian/control ===
Source: r-base
Section: math
Priority: optional
Maintainer: Douglas Bates <bates@stat.wisc.edu>
Standards-Version: 2.4.0.0

Package: r-base
Architecture: any
Depends: ${shlibs:Depends}
Suggests: g77
Description: `GNU S' - A language and environment for statistical computing.
 R is described by its authors as "not unlike" S, which is a language
 developed at Bell Laboratories for statistical computing and graphics.
 It provides support for a variety of statistical and graphical analyses.
 R is a true computer language which contains a number of control-flow
 constructions for iteration and alternation.  It allows users to add
 additional functionality by defining new functions.  Fortran and C
 code can be linked and called at run time.
 .
 S is the statistician's Matlab and R is to S what Octave is to Matlab.
